MIX_TrackFramesToMS(3)

NAME
MIX_TrackFramesToMS - Convert sample frames for a track's current format to milliseconds.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

Sint64 MIX_TrackFramesToMS(MIX_Track *track, Sint64 frames);

DESCRIPTION
This calculates time based on the track's current input format, which can change when its input does, and also if that input changes formats mid-stream (for example, if decoding a file that is two MP3s concatenated together).

Sample frames are more precise than milliseconds, so out of necessity, this function will approximate by rounding down to the closest full millisecond.

On various errors (MIX_Init() was not called, the track is NULL), this returns -1. If the track has no input, this returns -1. If frames is < 0, this returns -1.

FUNCTION PARAMETERS

track
    the track to query.

frames
    the track-specific sample frames to convert to milliseconds.

RETURN VALUE
Returns Converted number of milliseconds, or -1 for errors/no input; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_TrackMSToFrames(3)